[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'MaskEdit' (#lcl)

# TInternalMask

Array type used to represent edit mask symbols in TCustomMaskEdit.

## Declaration

Source position: maskedit.pp line 146

`type TInternalMask = array [1..255] of TIntMaskRec;`

## Description

TInternalMask is an array type which contains up to 255 TIntMaskRec values representing mask characters used in a TCustomMaskEdit control. It is used to implement internal members in TCustomMaskEdit, and realized using its EditMask property.

## See also

TCustomMaskEdit.EditMask |  | Contains the mask characters classes and literals used to format/obscure the value for the control.
TIntMaskRec |  | Represents the type and literal used for a character in an edit mask.